<?php declare(strict_types=1);
/**
 * @copyright (c) JTL-Software-GmbH
 * @license       http://jtl-url.de/jtlshoplicense
 */

namespace Plugin\css_CustomerLogin\Migrations;

use JTL\Plugin\Migration;
use JTL\Update\IMigration;

/**
 * Class Migration20200910123301
 * @package Plugin\jtl_test\Migrations
 */
class Migration20180910123301 extends Migration implements IMigration
{
    /**
     * @inheritdoc
     */


    public function up()
    {
        $this->execute(
            'CREATE TABLE IF NOT EXISTS `css_CustomerLoginConfig` (
                  `version` varchar(250) NOT NULL default "2.0.0",
                  `cookieName` varchar(250) NOT NULL default "css_CustomerLogin",
                  `cookieTime` int(10) NOT NULL default "365",
                  `checkboxActive` char(1) NOT NULL default "Y",
                  `pluginActive` char(1) NOT NULL default "N",
                  `welcomeMsg` char(1) NOT NULL default "M",
                  `framework` char(3) NOT NULL default "B4",
                  `selector_welcome` varchar(250) NOT NULL default "#content",
                  `selector_position_welcome` varchar(10) NOT NULL default "prepend",
                  `selector_login` varchar(250) NOT NULL default "#login_form .form-group:last",
                  `selector_position_login` varchar(10) NOT NULL default "before",
                  `selector_checkout` varchar(250) NOT NULL default "#order_register_or_login .form-group:last , #create_account_data  .col-xs-6:first",
                  `selector_position_checkout` varchar(10) NOT NULL default "before",
                  `selector_header` varchar(250) NOT NULL default "#quick-login .form-group:last",
                  `selector_position_header` varchar(10) NOT NULL default "before",
                  `selector_register` varchar(250) NOT NULL default "#create_account_data",
                  `selector_position_register` varchar(10) NOT NULL default "after"
            ) ENGINE=InnoDB COLLATE utf8_unicode_ci'
        );

        $result = $this->getDB()->query(
            'SELECT * from `css_CustomerLoginConfig` where 1',
            2
        );

        if($result === null || count($result) < 1) {
           $this->execute(
            "INSERT INTO `css_CustomerLoginConfig` (`cookieTime`) VALUES ('365')"
            );
        }

        $this->execute(
            'CREATE TABLE IF NOT EXISTS `css_CustomerLogin` (
                  `kKunde` int(10) NOT NULL default "0",
                  `cHash` varchar(250) NOT NULL default "",
                  `tstamp` int(10) NOT NULL default "0"
            ) ENGINE=InnoDB COLLATE utf8_unicode_ci'
        );
    }

    /**
     * @inheritdoc
     */
    public function down()    {
        if ($this->doDeleteData()) {
#            $this->execute('DROP TABLE IF EXISTS `css_CustomerLoginConfig`');
#            $this->execute('DROP TABLE IF EXISTS `css_CustomerLogin`');
        }
    }
}
